#include "vk_convert.hpp"
#include <gz-util/string/conversion.hpp>

bool vkBool2Bool(const vk::Bool32& b) {
    if (b == VK_TRUE) {
        return true;
    }
    else {
        return false;
    }
};

vk::Bool32 bool2VkBool(const bool& b) {
    if (b) {
        return VK_TRUE;
    }
    else {
        return VK_FALSE;
    }
}

std::string vkBool2String(const vk::Bool32& b) {
    if (b == VK_TRUE) {
        return "true";
    }
    else {
        return "false";
    }
};

vk::Bool32 string2VkBool(const std::string& s) {
    if (s == "true") {
        return VK_TRUE;
    }
    else {
        return VK_FALSE;
    }
}



std::string toString(const vk::DescriptorSetLayoutBinding& binding) {
    return "{ binding: " + gz::toString(binding.binding) + 
        ", desc. count: " + gz::toString(binding.descriptorCount) +
        ", desc. type: " + vk::to_string(binding.descriptorType) +
        ", stage flags: " + vk::to_string(binding.stageFlags);
}
